
Foreman - Bug #9025

Magic name methods don't work with plugins

01/19/2015 06:06 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Plugin integration   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2094

  

Description

has_many_common magic name(s) methods don't work with plugins, as they try to create the association class instead of reflecting

on the association.

Associated revisions

Revision 1cf860b7 - 01/21/2015 11:29 AM - Stephen Benjamin

fixes #9025 - reflect on association for _name(s) methods

Revision 1b7ff312 - 01/27/2015 11:06 AM - Stephen Benjamin

fixes #9025 - reflect on association for _name(s) methods

(cherry picked from commit 1cf860b74143da2e0f85b89913cac4cb84e20d4e)

Conflicts:

test/lib/has_many_common_test.rb

History

#1 - 01/19/2015 06:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2094 added

- Pull request deleted ()

#2 - 01/21/2015 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1cf860b74143da2e0f85b89913cac4cb84e20d4e.

#3 - 01/22/2015 03:59 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 30
